Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## archive.data
Class Cliente

    java.lang.Object
      archive.data.Cliente

    public class Cliente

extends java.lang.Object

Una classe che rappresenta un cliente con tutti i suoi campi

Constructor Summary
`Cliente(java.lang.String c, java.lang.String n, java.lang.String t, Carta carta)` Costruisce un nuovo cliente.

Method Summary
`boolean` | `equals(java.lang.Object o)`
`Carta` | `getCarta()` Ritorna carta del cliente
`java.lang.String` | `getCognome()` Ritorna il cognome del cliente
`java.lang.String` | `getNome()` Ritorna il gnome del cliente
`java.lang.String` | `getTelefono()` Ritorna il telefono del cliente
`int` | `hashCode()`
`void` | `setCarta(Carta c)` Setta la carta di credito del cliente
`void` | `setTelefono(java.lang.String t)` Setta il telefono del cliente
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Cliente

    public Cliente(java.lang.String c,
                   java.lang.String n,
                   java.lang.String t,
                   Carta carta)

  Costruisce un nuovo cliente. Inizializza i campi `cognome`,`nome`,`telefono` e `carta`

  Parameters:
    `c` - cognome cliente
    `n` - nome cliente
    `t` - telefono cliente
    `carta` - carta di credito cliente

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getCognome

    public java.lang.String getCognome()

  Ritorna il cognome del cliente

  Returns:
    cognome

### getNome

    public java.lang.String getNome()

  Ritorna il gnome del cliente

  Returns:
    nome

### getTelefono

    public java.lang.String getTelefono()

  Ritorna il telefono del cliente

  Returns:
    telefono

### getCarta

    public Carta getCarta()

  Ritorna carta del cliente

  Returns:
    carta di credito

### setTelefono

    public void setTelefono(java.lang.String t)

  Setta il telefono del cliente

  Parameters:
    `t` - numero di telefono

### setCarta

    public void setCarta(Carta c)

  Setta la carta di credito del cliente

  Parameters:
    `c` - carta di credito

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD